RPMSPEC(1)

NUME
rpmspec - instrument de specificații RPM

SINOPSIS
rpmspec {-q|--query} [opțiuni] [opțiuni-interogare] FIȘIER_SPECIFICAȚII ...

rpmspec {-P|--parse} [opțiuni] FIȘIER_SPECIFICAȚII ...

rpmspec --shell [opțiuni] [FIȘIER_SPECIFICAȚII ...]

DESCRIERE
rpmspec este un instrument pentru interogarea unui fișier de specificații. Mai exact, pentru a interoga pachete ipotetice care ar fi create din fișierul de specificații dat. Așadar, interogarea unui fișier de specificații cu rpmspec este similară cu interogarea unui pachet creat din acel fișier de specificații. Dar nu este identică. Cu rpmspec nu puteți interoga toate câmpurile pe care le puteți interoga dintr-un pachet construit. De exemplu, nu puteți interoga BUILDTIME cu rpmspec din motive evidente. De asemenea, nu puteți interoga alte câmpuri generate automat în timpul compilării unui pachet, cum ar fi dependențele generate automat.

OPERAȚII
-q, --query
    Interoghează antetul de specificații analizat, similar cu interogarea pachetelor.

-P, --parse
    Fișierul cu specificații analizat este redat la ieșirea standard. Adică, condițiile sunt gestionate, macrocomenzile sunt analizate și așa mai departe.

--shell
    Invocă un shell interactiv pentru inspectarea macrocomenzilor, opțional după analizarea unor specificații.& Este utilă în principal pentru depanare.&

ARGUMENTE
FIȘIER_SPECIFICAȚII
    Fișierul spec RPM utilizat pentru compilarea pachetelor cu rpmbuild.

OPȚIUNI
Consultați rpm-common(8) pentru opțiunile comune tuturor operațiilor.

OPȚIUNI DE INTEROGARE
--qf FORMAT_INTEROGARE, --queryformat FORMAT_INTEROGARE
    Specifică formatul de ieșire pentru interogările de specificații. Consultați rpm-queryformat(7) pentru detalii.

--rpms
    Operează asupra tuturor antetelor pachetelor binare generate din specificații.

--builtrpms
    Operează numai asupra antetelor de pachete binare ale pachetelor care vor fi construite din specificații. Aceasta înseamnă că se ignoră antetele pachetelor care nu vor fi construite pornind de la specificații, adică ignoră antetele pachetelor fără secțiune de fișier.

--srpm
    Operează asupra antetului (antetelor) pachetului sursă generat(e) din specificații.

MEDIU
Consultați rpm-common(8).

STARE DE IEȘIRE
În caz de succes, se returnează 0, iar în caz contrar se returnează un cod de eșec diferit de zero.

EXEMPLE
rpmspec -q rpm.spec
    Obține lista pachetelor binare care vor fi generate din fișierul de specificații rpm, de exemplu:
        rpm-4.11.3-3.fc20.x86_64
        rpm-libs-4.11.3-3.fc20.x86_64
        rpm-build-libs-4.11.3-3.fc20.x86_64
        ...

rpmspec -q --qf "%{name}: %{summary}n" rpm.spec
    Obține informații sumare pentru pachete binare individuale generate din fișierul de specificații rpm, de exemplu:
        rpm: Sistemul de gestionare al pachetelor RPM
        rpm-libs: Biblioteci pentru manipularea pachetelor RPM
        rpm-build-libs: Biblioteci pentru construirea și semnarea pachetelor RPM
        ...

rpmspec -q --srpm rpm.spec
    Obține pachetul sursă care va fi generat din fișierul de specificații rpm, de exemplu:
        rpm-4.11.3-3.fc20.x86_64

rpmspec -P rpm.spec
    Analizează fișierul de specificații rpm la ieșirea standard, de exemplu:
        Summary: The RPM package management system
        Name: rpm
        Version: 4.14.0
        ...

rpmspec --shell
    Rulează macrocomandă interactivă de shell pentru depanarea macro-urilor, de exemplu:
        > %define foo bar
        > %foo
        bar
        > %(date)
        Tue Apr 13 03:55:37 PM EEST 2021
        > %getncpus
        8

rpmspec --shell popt.spec
    Rulează macrocomenzii interactive de shell în contextul spec, de exemplu:
        %name
        popt
        %version
        1.18

CONSULTAȚI ȘI
popt(3), rpm(8), rpmbuild(1), rpm-queryformat(7), rpm-macros(7)

rpmkeys --help - deoarece rpm acceptă personalizarea opțiunilor prin intermediul numelor alias de „popt”, este imposibil să se garanteze că ceea ce este descris în manual corespunde cu ceea ce este disponibil.

http://www.rpm.org/

TRADUCERE
Traducerea în limba română a acestui manual a fost făcută de Remus-Gabriel Chelu <remusgabriel.chelu@disroot.org>

Această traducere este documentație gratuită; citiți Licența publică generală GNU Versiunea 3 (https://www.gnu.org/licenses/gpl-3.0.html) sau o versiune ulterioară cu privire la condiții privind drepturile de autor. NU se asumă NICIO RESPONSABILITATE.

Dacă găsiți erori în traducerea acestui manual, vă rugăm să trimiteți un e-mail la translation-team-ro@lists.sourceforge.net.